it's possible to use the last version of the telatlas?
destinator can use navteq and teleatlas (mio168 i remember use teleatlas +destinator)...
are there upgrade or actually destinator support only navteq?

thank's